<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Light Switching</title>
</head>
<body>
<script>
    function switchonOFF() {
        if(document.getElementById("BIN").interText="ON"){
            docuement.getElemntBYId("Light").src="resources/images/lighton.jpg";
            document.getElementById("BIN").innerText="OFF";
        }

        else{
            document.getElemntBYId("Light").src="resources/images/lightoff.jpg";
            document.getElementById("BIN").innerText="ON";
        }
        setTimeout(switchOFF,1000);
    }
</script>
<div id="Light container">
    <img id="light" src="resources/images/lightoff.jpg" height="200px" width="150px">
</div>
<button id="lght" onclick="switchON()">ON</button>
Auto
<button onclick="swicthoff()">OFF</button>
<script>
    var xyz=document.getelementByClass("white");
    xyz(0).style.backgroundCOlor=("RED");
</script>

</body>
</html>